<!-- show list of assets as thumbnail with summary info -->
<section flex
	layout-wrap 
	layout="column"
	layout-align="center none"
	layout-gt-sm="row" 
	layout-align-gt-sm="center start">
		<md-card md-theme-watch ng-repeat="asset in assets" 
			flex="auto">
			<!-- It is shown on small screens -->
			<a href="asset/{{asset.id}}">
				<div class="card-media" layout-padding hide show-xs
					style="text-align: center;overflow: auto;">
		        	<img ng-if="asset.thumbnail" ng-src="/api/cms/{{asset.thumbnail}}/download"
		        		style="max-height:200px;width:auto;"  
		        		alt="{{asset.name}}">
		        	<img ng-if="!asset.thumbnail && asset.type=='file'" ng-src="images/default.svg"
			  			style="max-height:200px;width:auto;"  
			  			alt="{{asset.name}}">
		        	<img ng-if="!asset.thumbnail && asset.type=='folder'" ng-src="images/default-folder.svg"
			  			style="max-height:200px;width:auto;"  
			  			alt="{{asset.name}}">
		        </div>
		    </a>
	        <md-card-title>
	        	<md-card-title-media  hide show-gt-xs>
	        		<a href="asset/{{asset.id}}">
						<div class="card-media">
				        	<img ng-if="asset.thumbnail" ng-src="/api/cms/{{asset.thumbnail}}/download"
				        		style="max-height:200px;width:auto;"  
				        		alt="{{asset.name}}">
				        	<img ng-if="!asset.thumbnail && asset.type=='file'" ng-src="images/default.svg"
					  			style="max-height:200px;width:auto;"  
					  			alt="{{asset.name}}">
				        	<img ng-if="!asset.thumbnail && asset.type=='folder'" ng-src="images/default-folder.svg"
					  			style="max-height:200px;width:auto;"  
					  			alt="{{asset.name}}">
				        </div>
				     </a>
		        </md-card-title-media>
	          	<md-card-title-text layout-padding>
		            <a href="asset/{{asset.id}}" class="no-link"><span class="md-headline">{{asset.name}}</span></a>
		            <span ng-if="asset.type=='file'" class="md-subhead">
		            	<span translate>size</span>: {{asset.size | fileVolume:1}}<br>
		            	<span translate>downloads</span>: {{asset.download}}<br>
		            	<span translate>creation date</span>: {{asset.creation_dtime | pdate:'jYYYY/jMM/jDD'}}<br>
		            	<span translate>price</span>: {{asset.price | iranCurrency:'T'}}
		            </span>
	          	</md-card-title-text>
	        </md-card-title>
<!-- 	        <md-card-content style="text-align: justify;"> -->
<!-- 	          	<p>{{asset.description | limitTo: 100}}{{asset.description.length > 100 ? '...' : ''}}</p> -->
<!-- 	        </md-card-content> -->
	        <md-card-actions layout="row" layout-align="center center" layout-wrap>
				<md-button class="md-raised" ng-href="asset/{{asset.id}}" style="margin:auto;"
					ng-if="asset.type == 'file'"><span translate>read more</span></md-button>
				<md-button class="md-raised" ng-href="folder/{{asset.id}}" style="margin:auto;"
					ng-if="asset.type == 'folder'"><span translate>view</span></md-button>
	        </md-card-actions>
	    </md-card>
	<div ng-if="working" layout="column" layout-align="center center">
		<md-progress-circular md-mode="indeterminate"></md-progress-circular>
		<h4 translate>{{'loading ...'}}</h4>
	</div>
</section>